package port

import (
	"net/http"

	"github.com/go-chi/render"
)

func renderJSON(w http.ResponseWriter, r *http.Request, status int, v any) {
	render.Status(r, status)
	render.JSON(w, r, v)
}

func renderPlainText(w http.ResponseWriter, r *http.Request, status int, v string) {
	render.Status(r, status)
	render.PlainText(w, r, v)
}
